<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../conf/connection.php');
   //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $numero=stripslashes($_POST["numero"]);
	  $nombre=stripslashes($_POST["nombre"]);
	  
if( $numero=="" or $nombre=="" ){ ?> 
<script>alert("Error: Existen campos vacios"); window.history.back(); </script> 
<? }else{ 	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from mesa where num_mesa=\"$numero\"";
	  
	 echo '<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<meta chartset="utf-8" />';
	  
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	  
	    //Es decir si devolvio registros
		if($nr_ide>0)
		{
			//Mandamos un script java con notificacion
			?> <script> alert("Este numero de mesa: <? echo $identidad ?> ya existe!"); window.history.back(); </script> <? 
		}
		//procedemos a guardar el registro
		else
		{
			//Construimos el query!
			$insertar="insert into mesa(num_mesa, nombre_mesa) values (";
			$insertar.="\"$numero\", \"$nombre\")";
            
			
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			?> <script> alert("Registro almacenado con éxito!"); window.close();</script> <? 
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  }
  else
  {
	  ?> <script> alert("Error, Existen campos vacíos"); window.close();</script> <?
  }
 
?>